String clazzTpl({package}) => """
import 'dart:io';
import 'dart:ui';
import 'app.dart';
import 'dart:async';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:path_provider/path_provider.dart';

void main() {
  FlutterError.onError = (FlutterErrorDetails details) async {
    Zone.current.handleUncaughtError(details.exception, details.stack!);
  };

  void errorLog(Object error, StackTrace stackTrace) async {
    StringBuffer sb = StringBuffer();
    sb.writeln('error=================');
    sb.writeln(error.toString());
    sb.writeln('stackTrace=================');
    sb.writeln(stackTrace.toString());
    String dir = (await getApplicationDocumentsDirectory()).path;
    var now = DateTime.now();
    String fileName =
        '\${now.year}年\${now.month}月\${now.day}日\${now.hour}时\${now.minute}分\${now.second}秒';
    await File('\$dir\${Platform.pathSeparator}\$fileName.log')
        .writeAsString(sb.toString());
  }

  runZonedGuarded<Future<void>>(() async {
    WidgetsFlutterBinding.ensureInitialized();
    SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle(
        statusBarColor: Colors.transparent,
        systemNavigationBarColor: Colors.transparent,
        systemNavigationBarDividerColor: Colors.transparent));
    runApp(App(route: window.defaultRouteName));
  }, errorLog);
}
""";
